=== debian/changelog ===
nova (2:31.0.0-6+deb13u1) trixie; urgency=high

  * A vulnerability has been identified in OpenStack Nova and OpenStack Watcher
    in conjunction with volume swap operations performed by the Watcher
    service. Under specific circumstances, this can lead to a situation where
    two Nova libvirt instances could reference the same block device, allowing
    accidental information disclosure to the unauthorized instance. Added
    upstream patch: OSSN-0094_restrict_swap_volume_to_cinder.patch.
    (Closes: #1111689).
  * Blacklist non-deterministic unit test:
    - ComputeTestCase.test_add_remove_fixed_ip_updates_instance_updated_at

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Aug 2025 09:10:49 +0200

nova (2:31.0.0-6) unstable; urgency=medium

  * Also do it for nova-api-metadata.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2025 11:35:02 +0200

nova (2:31.0.0-5) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 14:24:22 +0200

nova (2:31.0.0-4) unstable; urgency=medium

  * Add Fix-neutron-client-dict-grabbing.patch as a workaround for a nasty
    CPython bug.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Jun 2025 18:06:40 +0200

nova (2:31.0.0-3) unstable; urgency=medium

  * Blacklist test_instance_get_all_by_filters_sort_keys that is not
    deterministic (Closes: #1104396).

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Apr 2025 08:49:36 +0200

nova (2:31.0.0-2) unstable; urgency=medium

  * Blacklist test_archive_deleted_rows_task_log that failed on buildd.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Apr 2025 09:48:42 +0200

nova (2:31.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:24:33 +0200

nova (2:31.0.0~rc1-2) unstable; urgency=medium

  * Add os_brick namespace when generating config file.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:59:08 +0100

nova (2:31.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patch applied upstream:
    - python-3.13-crypt.crypt-support-is-removed.patch
  * Deactivate patch, as not sure still needed:
    - fix-fake_get_by_flavor_id.patch
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 18:24:08 +0100
