=== debian/control ===
Source: nova
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 gustavo panizzo <gfa@zumbi.com.ar>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 genisoimage,
 graphviz,
 libvirt-daemon-system,
 openssh-client,
 procps,
 python3-barbicanclient,
 python3-castellan,
 python3-cinderclient,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-dateutil,
 python3-ddt,
 python3-decorator,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-gabbi,
 python3-glanceclient,
 python3-greenlet,
 python3-hacking,
 python3-iso8601,
 python3-jinja2,
 python3-jsonschema (>= 4.0.0),
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-memcache,
 python3-microversion-parse,
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-openstacksdk (>= 4.4.0),
 python3-os-api-ref,
 python3-os-brick (>= 6.10.0),
 python3-os-resource-classes,
 python3-os-service-types,
 python3-os-traits (>= 3.3.0),
 python3-os-vif (>= 3.1.0),
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:9.6.0),
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.limit,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 8.0.0),
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-oslotest,
 python3-osprofiler,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pil,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-requests-mock,
 python3-retrying,
 python3-rfc3986,
 python3-routes,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-webob,
 python3-websockify,
 python3-wsgi-intercept,
 python3-yaml,
 qemu-utils,
 sqlite3,
 subunit,
Build-Conflicts:
 python3-cjson,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/nova
Vcs-Git: https://salsa.debian.org/openstack-team/services/nova.git
Homepage: http://www.openstack.org/software/openstack-compute/

Package: nova-api
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 iptables,
 nova-common (= ${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-keystone,
Description: OpenStack Compute - compute API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package provides the API frontend.

Package: nova-common
Architecture: all
Depends:
 adduser,
 bridge-utils,
 dbconfig-common,
 iproute2 | iproute,
 python3-configobj,
 python3-iso8601,
 python3-nova (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pysqlite2 | python3-mysqldb | python3-psycopg2,
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 adduser,
 conntrack,
 cgroup-tools,
 curl,
 dosfstools,
 ebtables,
 fdisk,
 gawk,
 iptables,
 kpartx,
 mdevctl,
 nova-common (= ${binary:Version}),
 nova-compute-kvm | nova-compute-hypervisor,
 open-iscsi,
 ovmf,
 parted,
 qemu-utils,
 rsync,
 vlan,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 dmidecode,
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-ironic
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 nova-common,
 nova-compute,
 python3-ironicclient,
 python3-libvirt,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Recommends:
 guestmount,
Conflicts:
 nova-baremetal,
 nova-compute-kvm,
 nova-compute-lxc,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (Ironic)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using Ironic.

Package: nova-compute-kvm
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 libvirt-daemon-driver-storage-rbd,
 nova-common (= ${binary:Version}),
 nova-compute (= ${binary:Version}),
 python3-libvirt,
 qemu-block-extra,
 qemu-system-x86,
 swtpm,
 swtpm-tools,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Recommends:
 guestmount,
Conflicts:
 nova-compute-ironic,
 nova-compute-lxc,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using KVM.

Package: nova-compute-lxc
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 lxc,
 nova-common,
 nova-compute,
 python3-libvirt,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-ironic,
 nova-compute-kvm,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-qemu
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 nova-common,
 nova-compute,
 python3-libvirt,
 qemu-system,
 qemu-block-extra,
 swtpm,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-ironic,
 nova-compute-kvm,
 nova-compute-lxc,
 nova-compute-xen,
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using QEmu.

Package: nova-conductor
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Compute - conductor service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is the Nova conductor service component.

Package: nova-consoleproxy
Architecture: all
Provides:
 nova-ajax-console-proxy,
 nova-novncproxy,
 nova-spicehtml5proxy,
 nova-spiceproxy,
Conflicts:
 nova-novncproxy,
 nova-spicehtml5proxy,
Replaces:
 nova-novncproxy,
 nova-spicehtml5proxy,
Depends:
 debconf,
 nova-common (= ${binary:Version}),
 novnc,
 python3-websockify,
 spice-html5,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Compute - NoVNC proxy
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to
 implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
