=== debian/changelog ===
nova (3:31.0.0+git2025070714.1c03429337-0ubuntu2) questing; urgency=medium

  * d/nova_sudoers: Drop !requiretty override causing compatibility issues
    with sudo-rs. (LP: #2120708)

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 19 Aug 2025 10:04:38 +0200

nova (3:31.0.0+git2025070714.1c03429337-0ubuntu1) questing; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * New upstream release for OpenStack Flamingo. (LP: #2103413)
  * Refresh patches:
    - d/p/change-tempdir-perms-for-libvirt-qemu.patch
    - d/p/arm-console-patch.patch
    - d/p/skip-if-https-proxy.patch
  * d/control: Align (Build-)Depends with upstream.
  * d/nova-api: Transition package to be wsgi based.
  * d/nova-api-metadata: Transition package to be wsgi based.
  * d/nova-api-os-compute: Transition package to dummy package.
  * d/t/nova-{api,daemons}: Check vhost is loaded instead of process running.
  * d/s/options: Ignore .launchpad.yaml in debdiff.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 08 Jul 2025 08:25:29 +0200

nova (3:31.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * Refresh patches:
    - d/p/arm-console-patch.patch
    - d/p/change-tempdir-perms-for-libvirt-qemu.patch
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 11:13:32 -0700
