## nova 31.1.0

=== debian/changelog ===
nova (2:31.1.0-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patches applied upstream:
    - Fix-neutron-client-dict-grabbing.patch
    - OSSN-0094_restrict_swap_volume_to_cinder.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 23 Sep 2025 09:53:02 +0000

nova (2:31.0.0-7) unstable; urgency=high

  * A vulnerability has been identified in OpenStack Nova and OpenStack Watcher
    in conjunction with volume swap operations performed by the Watcher
    service. Under specific circumstances, this can lead to a situation where
    two Nova libvirt instances could reference the same block device, allowing
    accidental information disclosure to the unauthorized instance. Added
    upstream patch: OSSN-0094_restrict_swap_volume_to_cinder.patch.
    (Closes: #1111689).
  * Blacklist non-deterministic unit test:
    - ComputeTestCase.test_add_remove_fixed_ip_updates_instance_updated_at

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Aug 2025 09:10:49 +0200
