## nova 31.2.0

=== debian/changelog ===
nova (2:31.2.0-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * CVE-2026-24708/OSSA-2026-002: By writing a malicious QCOW header to a root
    or ephemeral disk and then triggering a resize, a user may convince Nova's
    flat image backend to call qemu-img without a format restriction resulting
    in an unsafe image resize operation that could destroy data on the host
    system. Appiled upstream patch (Closes: #1128294):
    - cve-2026-24708-make-disk.extend-pass-format-to-qemu-img-2025.1.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Tue, 17 Feb 2026 15:13:14 +0000

nova (2:31.2.0-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Nov 2025 10:51:37 +0100

nova (2:31.1.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - Fix-neutron-client-dict-grabbing.patch
    - OSSN-0094_restrict_swap_volume_to_cinder.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 11:44:44 +0200
