## nova 32.0.0

=== requirements.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 python-cinderclient>=4.0.1 # Apache-2.0
 keystoneauth1>=3.16.0 # Apache-2.0
 python-neutronclient>=7.1.0 # Apache-2.0
-python-glanceclient>=2.8.0 # Apache-2.0
+python-glanceclient>=4.7.0 # Apache-2.0
 requests>=2.25.1 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 websockify>=0.9.0 # LGPLv3
@@ -44,14 +44,14 @@
 oslo.policy>=4.5.0 # Apache-2.0
 oslo.privsep>=2.6.2 # Apache-2.0
 oslo.i18n>=5.1.0 # Apache-2.0
-oslo.service>=2.8.0 # Apache-2.0
+oslo.service[threading]>=4.2.0 # Apache-2.0
 rfc3986>=1.2.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 psutil>=3.2.2 # BSD
 oslo.versionedobjects>=1.35.0 # Apache-2.0
 os-brick>=6.10.0 # Apache-2.0
 os-resource-classes>=1.1.0 # Apache-2.0
-os-traits>=3.4.0 # Apache-2.0
+os-traits>=3.5.0 # Apache-2.0
 os-vif>=3.1.0 # Apache-2.0
 castellan>=0.16.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0
