=== debian/changelog ===
nova (2:32.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 21:07:44 +0200

nova (2:32.0.0~rc1-3) unstable; urgency=medium

  * Remove oslo.db from config file generation namespace list.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:29:08 +0200

nova (2:32.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:05:20 +0200
