=== debian/tests/control ===
Tests: unittests
Depends:
 python3-nova,
 nova-common,
 @builddeps@,
Restrictions: allow-stderr needs-root
Architecture: amd64 arm64 ppc64el
