## nova 32.0.0%2Bgit20260128.59a7093

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/nova/ nova-(\d{1,2}\.\d.*)\.tar\.gz
