## nova 32.0.0+git20260128.59a7093

=== requirements.txt ===
--- 
+++ 
@@ -19,7 +19,6 @@
 alembic>=1.5.0 # MIT
 netaddr>=0.7.18 # BSD
 paramiko>=2.7.1 # LGPLv2.1+
-iso8601>=0.1.11 # MIT
 jsonschema>=4.0.0 # MIT
 python-cinderclient>=4.0.1 # Apache-2.0
 keystoneauth1>=3.16.0 # Apache-2.0
@@ -44,7 +43,7 @@
 oslo.policy>=4.5.0 # Apache-2.0
 oslo.privsep>=2.6.2 # Apache-2.0
 oslo.i18n>=5.1.0 # Apache-2.0
-oslo.service[threading]>=4.2.0 # Apache-2.0
+oslo.service[threading]>=4.4.1 # Apache-2.0
 rfc3986>=1.2.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 psutil>=3.2.2 # BSD
@@ -60,6 +59,6 @@
 retrying>=1.3.3 # Apache-2.0
 os-service-types>=1.7.0 # Apache-2.0
 python-dateutil>=2.7.0 # BSD
-futurist>=1.8.0 # Apache-2.0
+futurist>=3.2.1 # Apache-2.0
 openstacksdk>=4.4.0 # Apache-2.0
 PyYAML>=5.1 # MIT
