=== doc/requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 reno>=3.1.0 # Apache-2.0
 
 # redirect tests in docs
-whereto>=0.3.0 # Apache-2.0
+whereto>=0.5.0 # Apache-2.0
 
 # needed to generate osprofiler config options
 osprofiler>=1.4.0 # Apache-2.0
