=== debian/changelog ===
nova (3:32.0.0+git20260128.59a7093-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * d/patches/*: refresh patches
  * New upstream snapshot from 59a7093915298973c72b6d1749a6acd27e0045a9
    for OpenStack Gazpacho. (LP: #2137590)
  * d/p/testtools-2.8.2-TestMatchersInterface-is-removed.patch: Add patch
    from Debian to fix test discovery with testtools >= 2.8.2
    (Closes: #1124185).
  * d/p/fix-BackendAlreadySelected-during-test-discovery.patch: Add patch
    to handle BackendAlreadySelected during test discovery.
  * d/p/fix-test_threading_selected_by_default-env-var.patch: Add patch
    to fix KeyError when OS_NOVA_DISABLE_EVENTLET_PATCHING is not set.
  * d/tests/nova-compute-daemons: Set up MySQL database and start
    nova-conductor before testing compute daemons. nova-compute blocks
    in wait_until_ready() until conductor responds, and conductor needs
    a synced database to start its RPC server. Also add journalctl
    capture on failure for better diagnostics.
  * d/tests/nova-daemons: Use IF NOT EXISTS in SQL statements for
    compatibility when nova-compute-daemons has already set up the
    database in the shared autopkgtest environment.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 29 Jan 2026 16:58:00 -0800

nova (3:32.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 14:11:59 +0200

nova (3:32.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.
  * d/p/arm-console-patch.patch: Refresh.
  * d/p/change-tempdir-perms-for-libvirt-qemu.patch: Refresh.

 -- Myles Penner <myles.penner@canonical.com>  Sat, 20 Sep 2025 13:59:26 -0700
