## nova 32.1.0

=== debian/changelog ===
nova (2:32.1.0-7) unstable; urgency=high

  * CVE-2026-24708/OSSA-2026-002: By writing a malicious QCOW header to a root
    or ephemeral disk and then triggering a resize, a user may convince Nova's
    flat image backend to call qemu-img without a format restriction resulting
    in an unsafe image resize operation that could destroy data on the host
    system. Appiled upstream patch (Closes: #1128294):
    - cve-2026-24708-make-disk.extend-pass-format-to-qemu-img-2025.2.patch
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Feb 2026 00:32:36 +0100

nova (2:32.1.0-6) unstable; urgency=medium

  * Add testtools-2.8.2-TestMatchersInterface-is-removed.patch
    (Closes: #1124185).
  * Add fix-test_validate_volume_mount_not_working.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Dec 2025 11:17:20 +0100

nova (2:32.1.0-5) unstable; urgency=medium

  * Add fix-failing-timebased-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Dec 2025 15:42:49 +0100

nova (2:32.1.0-4) unstable; urgency=medium

  * Updated homepage URL (Closes: #1118106).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 17:14:28 +0100

nova (2:32.1.0-3) unstable; urgency=medium

  * Removed Gustavo Panizzo from uploaders (Closes: #1114573).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 15:32:53 +0100

nova (2:32.1.0-2) unstable; urgency=medium

  * Add Fix-test_simple_tenant_usage-test.patch and re-activate blacklisted
    policies.test_simple_tenant_usage.* tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Nov 2025 08:45:58 +0100

nova (2:32.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Blacklist 2 non-deterministic tests:
    - policies.test_simple_tenant_usage.*

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Nov 2025 10:12:10 +0100
