=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- gustavo panizzo <gfa@zumbi.com.ar>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 123~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr,
@@ -41,7 +40,7 @@
  python3-hacking,
  python3-iso8601,
  python3-jinja2,
- python3-jsonschema (>= 4.0.0),
+ python3-jsonschema,
  python3-keystoneauth1,
  python3-keystonemiddleware,
  python3-lxml,
@@ -52,31 +51,31 @@
  python3-neutronclient,
  python3-novaclient,
  python3-openstackdocstheme,
- python3-openstacksdk (>= 4.4.0),
+ python3-openstacksdk,
  python3-os-api-ref,
- python3-os-brick (>= 6.10.0),
+ python3-os-brick,
  python3-os-resource-classes,
  python3-os-service-types,
- python3-os-traits (>= 3.3.0),
- python3-os-vif (>= 3.1.0),
+ python3-os-traits (>= 3.5.0),
+ python3-os-vif,
  python3-oslo.cache,
  python3-oslo.concurrency,
- python3-oslo.config (>= 1:9.6.0),
+ python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.limit,
  python3-oslo.log,
- python3-oslo.messaging (>= 14.1.0),
+ python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy (>= 4.5.0),
+ python3-oslo.policy,
  python3-oslo.privsep,
  python3-oslo.reports,
  python3-oslo.rootwrap,
  python3-oslo.serialization,
- python3-oslo.service,
+ python3-oslo.service (>= 4.2.0),
  python3-oslo.upgradecheck,
- python3-oslo.utils (>= 8.0.0),
+ python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-oslo.vmware,
  python3-oslotest,
@@ -116,7 +115,7 @@
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/nova
 Vcs-Git: https://salsa.debian.org/openstack-team/services/nova.git
-Homepage: http://www.openstack.org/software/openstack-compute/
+Homepage: https://opendev.org/openstack/nova/
 
 Package: nova-api
 Architecture: all
@@ -407,3 +406,5 @@
  .
  OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
  designed to be modular and easy to extend and adapt. In addition to its
+ "native" OpenStack API, it also supports the Amazon EC2 API, and it
+ supports
