=== debian/watch ===
version=3
http://launchpad.net/nova/+download http://launchpad.net/nova/.*/nova-(.*)\.tar\.gz
http://nova.openstack.org/tarballs/ nova-(.*).tar.gz
